<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Número secreto Joan Escudero y Angel Navarrete</title>
    <style>
        main {
            padding: 0;
            margin: 0;
            font-family: 'Lato';
            max-width: 500px;
            margin: 0 auto;
        }

        .flex {
            display: flex;
        }

        .wrap {
            flex-wrap: wrap;
        }

        .center {
            justify-content: center;
        }

        .w20 {
            width: 20%;
        }

        .w90 {
            width: 90%;
        }

        .w100 {
            width: 100%;
        }

        .cel {
            height: 82px;
            z-index: 1;
            width: 90%;
            font-weight: bold;
            position: relative;
            margin: 5px auto;
            background-color: #1aa1f0;
            border-radius: 10px;
            text-align: center;
            justify-content: center;
            font-size: 2.25em;

            align-items: center;
        }

        .comprobar,
        .info {
            border: 1px solid #1aa1f0;
            border-radius: 5px;
            font-size: 1.2em;
            margin-bottom: 15px;
            margin-top: 15px;
        }

        .comprobar *,
        .info * {
            margin: 10px;
        }

        .info {
            border-color: crimson;
            background-color: crimson;
            color: white;
        }

        label {
            color: #1aa1f0;
            font-weight: bold;
        }

        input {
            box-sizing: border-box;
            width: 40%;
            border: none;
            margin-bottom: 15px;
            font-size: 1.2em;
            padding: 10px;
            border-bottom: 2px solid #1aa1f0;
            outline: none;
            border-radius: 5px 5px 0 0;
        }

        input:focus,
        input:hover {
            background-color: #BABABA;
        }


        button {
            width: 55%;
            padding: 15px;
            background-color: #1aa1f0;
            color: white;
            border: none;
            border-radius: 5px;
            font-size: 1.17em;
            margin-bottom: 10px;
        }

        button:hover,
        button:focus {
            background-color: #1aa1f075;
            cursor: pointer;
        }

        .celResult {
            height: 82px;
            z-index: 1;
            width: 90%;
            font-weight: bold;
            position: relative;
            margin: 5px auto;
            background-color: #BABABA;
            border-radius: 10px;
            text-align: center;
            justify-content: center;
            font-size: 2.25em;
            align-items: center;
        }
    </style>
</head>

<body id="body">
    <main>
        <h1>Adivina el número secreto</h1>
        <section id="codigo" class="flex wrap center">
            <div class="w100 flex wrap">
                <div class="w20">
                    <div class="cel flex">*</div>
                </div>
                <div class="w20">
                    <div class="cel flex">*</div>
                </div>
                <div class="w20">
                    <div class="cel flex">*</div>
                </div>
                <div class="w20">
                    <div class="cel flex">*</div>
                </div>
                <div class="w20">
                    <div class="cel flex">*</div>
                </div>
            </div>
        </section>
        <section class="w100 flex wrap center comprobar">
            <label class="w90" for="numero">Escribe aquí un número</label><br>
            <input class="w90" type="text" id="numero" name="numero" value=""><br>
            <button class="w90" id="check" onclick="Comprobar()">Comprobar</button>

        </section>
        <section id="infoSection" class="w100 info">
            <p class="w90" id="info">Primer intento</p>
        </section>
        <section id="Result" class="flex wrap center">
            <div class="rowResult w100 flex wrap">
                <!-- Esto debereís generarlo más adelante por código -->
            </div>
        </section>
    </main>
    <script>
        const codigo = [];
        const maxIntento = 6;
        let intentos = 2;
        let contadorCorrectas = 0;
        /*1. Genera una constante CODIGO_SECRETO de tipo array de 5 número aleatorios entre 0 y 9 usando la libreria Math.random();*/
        function codigoSecreto() {
            for (let i = 0; i < 5; i++) {
                codigo[i] = Math.floor((Math.random() * 10));
            }
            console.log(codigo);

        }
        document.querySelector("input").addEventListener("keypress", function (enter) {
            if (enter.key === "Enter") {
                Comprobar();
            }
        })
        function Comprobar() {
            if (maxIntento >= intentos && contadorCorrectas != 5) {
                contadorCorrectas = 0;
                var codigoUsuario = document.getElementById("numero").value;
                if (codigoUsuario.length < 5 || codigoUsuario.length > 5 || isNaN(codigoUsuario)) {
                    alert("No ves que hay 5 celdas? Introduzcamela bien");
                }
                else {
                    let resultado = document.querySelector("#Result div");
                    for (let i = 0; i < 5; i++) {
                        if (codigo[i] == codigoUsuario[i]) {
                            let celda = document.createElement("div");
                            celda.classList.add("w20");
                            let celda2 = document.createElement("div");
                            celda2.classList.add("celResult");
                            celda2.classList.add("flex");
                            celda2.innerHTML = codigoUsuario[i];
                            celda2.style.backgroundColor = "green";
                            celda.appendChild(celda2);
                            resultado.appendChild(celda);
                            contadorCorrectas++;
                            let celdas = document.querySelectorAll("#codigo>div>div>div");
                            celdas[i].innerHTML = codigo[i];
                            celdas[i].style.backgroundColor = "green";
                        }
                        else {
                            let esta = false;
                            for (let y = 0; y < 5; y++) {
                                if (codigo[y] == codigoUsuario[i]) {
                                    esta = true;
                                }
                            }
                            if (esta == true) {
                                let celda = document.createElement("div");
                                celda.classList.add("w20");
                                let celda2 = document.createElement("div");
                                celda2.classList.add("celResult");
                                celda2.classList.add("flex");
                                celda2.innerHTML = codigoUsuario[i];
                                celda2.style.backgroundColor = "yellow";
                                celda.appendChild(celda2);
                                resultado.appendChild(celda);
                            }
                            else {
                                let celda = document.createElement("div");
                                celda.classList.add("w20");
                                let celda2 = document.createElement("div");
                                celda2.classList.add("celResult");
                                celda2.classList.add("flex");
                                celda2.innerHTML = codigoUsuario[i];
                                celda2.style.backgroundColor = "#BABABA";
                                celda.appendChild(celda2);
                                resultado.appendChild(celda);
                            }
                        }

                    }
                    ComprobarJugada(contadorCorrectas, codigo, intentos);
                    intentos++;
                    document.getElementById("numero").value = "";


                }


            }
        }
        function ComprobarJugada(contadorCorrectas, codigo, intentos) {
            let sectionInfo = document.getElementById("infoSection");
            let pinfo = document.getElementById("info");
            let body = document.getElementById("body");
            let boton = document.getElementById("check");
            let celdas = document.querySelectorAll("#codigo>div>div>div");
            if (contadorCorrectas == 5) {

                //Fondo Felis
                body.style.backgroundImage = "url('https://media.tenor.com/d914QufzT_QAAAAC/cat-epico-meme.gif')";

                sectionInfo.style.backgroundColor = "green";
                pinfo.innerHTML = "Felicidades, no eres tan tonto";
                boton.innerText = "Vamo a Jugar?";
                boton.addEventListener('click', _ => { location.reload() });

            }
            else if (intentos == 6 && contadorCorrectas < 5) {
                for (let i = 0; i < 5; i++) {
                    celdas[i].innerHTML = codigo[i];
                    celdas[i].style.backgroundColor = "red";
                }
                //Fondo Triste
                body.style.backgroundImage = "url('https://i.pinimg.com/originals/ef/b7/fd/efb7fd84543771dcdb89983d196fcf15.gif')";

                sectionInfo.style.backgroundColor = "red";
                pinfo.innerHTML = "Has fracasado con éxito la missión";
                boton.innerText = "Vamo a Jugar?";
                boton.addEventListener('click', _ => { location.reload() });
            }
            else {
                Info(intentos);
            }

        }
        function Info(intentos) {
            let pinfo = document.getElementById("info");
            switch (intentos) {
                case 1:
                    pinfo.innerHTML = "Primer Intento";
                    break;
                case 2:
                    pinfo.innerHTML = "Segundo Intento";
                    break;
                case 3:
                    pinfo.innerHTML = "Tercer Intento";
                    break;
                case 4:
                    pinfo.innerHTML = "Quarto Intento";
                    break;
                case 5:
                    pinfo.innerHTML = "Ultimo Intento, No sabes acertar un numero?";
                    break;
                case 6:
                    pinfo.innerHTML = "Ni un numero sabes adivinar, fracasado inutil :)";
                    break;
            }

        }

        codigoSecreto();
    </script>
</body>

</html>